import React from 'react';
import { GenericComponentType } from '../../types';
export type IAlertDialogComponentType<AlertDialog, Content, CloseButton, Header, Footer, Body> = GenericComponentType<AlertDialog> & {
    Content: GenericComponentType<Content>;
    CloseButton: GenericComponentType<CloseButton>;
    Header: GenericComponentType<Header>;
    Footer: GenericComponentType<Footer>;
    Body: GenericComponentType<Body>;
};
export declare const AlertDialog: IAlertDialogComponentType<import("@gluestack-ui/alert-dialog/lib/typescript/types").IAlertDialogComponentType<Omit<Omit<import("react-native").ViewProps, "size"> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, {
    size: {
        xs: unknown;
        sm: unknown;
        md: unknown;
        lg: unknown;
        xl: unknown;
        full: unknown;
    };
}, import("react-native").ViewProps, "AlertDialog">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>, Omit<Omit<import("react-native").ViewProps & {
    animationComponentGluestack: true;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps & {
    animationComponentGluestack: true;
}, "AlertDialogContent">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps & {
    animationComponentGluestack: true;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps & {
    animationComponentGluestack: true;
}>, Omit<Omit<Omit<import("react-native").PressableProps & React.RefAttributes<import("react-native").View>, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle> | ((state: import("react-native").PressableStateCallbackType) => import("react-native").StyleProp<import("react-native").ViewStyle>), unknown, import("react-native").PressableProps & React.RefAttributes<import("react-native").View>, "AlertDialogCloseButton">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle> | ((state: import("react-native").PressableStateCallbackType) => import("react-native").StyleProp<import("react-native").ViewStyle>), import("react-native").PressableProps & React.RefAttributes<import("react-native").View>>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack">, "ref"> & React.RefAttributes<import("react-native").PressableProps & React.RefAttributes<import("react-native").View>>, Omit<Omit<import("react-native").ViewProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "AlertDialogHeader">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>, Omit<Omit<import("react-native").ViewProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "AlertDialogFooter">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>, Omit<Omit<import("react-native").ScrollViewProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ScrollViewProps, "AlertDialogBody">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ScrollViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ScrollViewProps>, Omit<Omit<import("react-native").PressableProps & {
    animationComponentGluestack: true;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle> | ((state: import("react-native").PressableStateCallbackType) => import("react-native").StyleProp<import("react-native").ViewStyle>), unknown, import("react-native").PressableProps & {
    animationComponentGluestack: true;
}, "AlertDialogBackdrop">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle> | ((state: import("react-native").PressableStateCallbackType) => import("react-native").StyleProp<import("react-native").ViewStyle>), import("react-native").PressableProps & {
    animationComponentGluestack: true;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").PressableProps & {
    animationComponentGluestack: true;
}>>, React.ForwardRefExoticComponent<Omit<Omit<import("react-native").ViewProps & {
    animationComponentGluestack: true;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps & {
    animationComponentGluestack: true;
}, "AlertDialogContent">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps & {
    animationComponentGluestack: true;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps & {
    animationComponentGluestack: true;
}>>, React.ForwardRefExoticComponent<Omit<Omit<Omit<import("react-native").PressableProps & React.RefAttributes<import("react-native").View>, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle> | ((state: import("react-native").PressableStateCallbackType) => import("react-native").StyleProp<import("react-native").ViewStyle>), unknown, import("react-native").PressableProps & React.RefAttributes<import("react-native").View>, "AlertDialogCloseButton">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle> | ((state: import("react-native").PressableStateCallbackType) => import("react-native").StyleProp<import("react-native").ViewStyle>), import("react-native").PressableProps & React.RefAttributes<import("react-native").View>>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack">, "ref"> & React.RefAttributes<import("react-native").PressableProps & React.RefAttributes<import("react-native").View>>>, React.ForwardRefExoticComponent<Omit<Omit<import("react-native").ViewProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "AlertDialogHeader">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>>, React.ForwardRefExoticComponent<Omit<Omit<import("react-native").ViewProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "AlertDialogFooter">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>>, React.ForwardRefExoticComponent<Omit<Omit<import("react-native").ScrollViewProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ScrollViewProps, "AlertDialogBody">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ScrollViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ScrollViewProps>>>;
