"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const react_1 = require("@gluestack-style/react");
const colorScheme_1 = require("../../../plugins/colorScheme/colorScheme");
exports.default = (0, react_1.styled)(react_native_1.View, {
    'flexDirection': 'row',
    'justifyContent': 'flex-start',
    'alignItems': 'center',
    //@ts-ignore
    'gap': '1rem',
    ':disabled': {
        _web: {
            cursor: 'not-allowed',
        },
    },
    'variants': {
        size: {
            lg: {
                _text: {
                    fontSize: '$lg',
                    lineHeight: '$xl',
                },
                _indicator: {
                    h: '$6',
                    w: '$6',
                },
            },
            md: {
                _text: {
                    fontSize: '$md',
                    lineHeight: '$md',
                },
                _indicator: {
                    h: '$5',
                    w: '$5',
                },
            },
            sm: {
                _text: {
                    fontSize: '$sm',
                    lineHeight: '$sm',
                },
                _indicator: {
                    h: '$4',
                    w: '$4',
                },
            },
        },
    },
    'defaultProps': {
        size: 'md',
    },
    '_web': {
        'cursor': 'pointer',
        ':disabled': {
            cursor: 'not-allowed',
        },
    },
}, {
    componentName: 'Checkbox',
    descendantStyle: ['_icon', '_text', '_indicator'],
}, {
    plugins: [new colorScheme_1.ColorSchemeResolver(colorSchemeResolveFn)],
});
function colorSchemeResolveFn(_a) {
    var props = __rest(_a, []);
    let value = {};
    if (props.colorScheme) {
        const color = props.colorScheme;
        value = {
            _indicator: {
                ':checked': {
                    'borderColor': `$${color}.600`,
                    'bg': `$${color}.600`,
                    ':hover': {
                        'borderColor': `$${color}.700`,
                        'bg': `$${color}.700`,
                        ':disabled': {
                            borderColor: `$${color}.600`,
                            bg: `$${color}.600`,
                        },
                    },
                    ':active': {
                        borderColor: `$${color}.800`,
                        bg: `$${color}.800`,
                    },
                },
                ':dark': {
                    ':checked': {
                        'borderColor': `$${color}.500`,
                        'bg': `$${color}.500`,
                        ':hover': {
                            'borderColor': `$${color}.400`,
                            'bg': `$${color}.400`,
                            ':disabled': {
                                borderColor: `$${color}.500`,
                                bg: `$${color}.500`,
                            },
                        },
                        ':active': {
                            borderColor: `$${color}.300`,
                            bg: `$${color}.300`,
                        },
                    },
                },
            },
        };
    }
    return value;
}
